class FCM(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  conv1 : __torch__.torch.nn.modules.conv.___torch_mangle_6239.Conv2d
  bn1 : __torch__.torch.nn.modules.batchnorm.___torch_mangle_6240.BatchNorm2d
  layer1 : __torch__.torch.nn.modules.container.___torch_mangle_6255.Sequential
  layer2 : __torch__.torch.nn.modules.container.___torch_mangle_6270.Sequential
  conv2 : __torch__.torch.nn.modules.conv.___torch_mangle_6271.Conv2d
  bn2 : __torch__.torch.nn.modules.batchnorm.___torch_mangle_6272.BatchNorm2d
  def forward(self: __torch__.speakerlab.models.campplus.DTDNN.___torch_mangle_6273.FCM,
    x: Tensor) -> Tensor:
    bn2 = self.bn2
    conv2 = self.conv2
    layer2 = self.layer2
    layer1 = self.layer1
    bn1 = self.bn1
    conv1 = self.conv1
    input = torch.unsqueeze(x, 1)
    _0 = (bn1).forward((conv1).forward(input, ), )
    input0 = torch.relu(_0)
    _1 = (layer2).forward((layer1).forward(input0, ), )
    _2 = (bn2).forward((conv2).forward(_1, ), )
    out = torch.relu(_2)
    _3 = ops.prim.NumToTensor(torch.size(out, 0))
    _4 = int(_3)
    _5 = ops.prim.NumToTensor(torch.size(out, 1))
    _6 = ops.prim.NumToTensor(torch.size(out, 2))
    _7 = ops.prim.NumToTensor(torch.size(out, 3))
    _8 = int(_7)
    input1 = torch.reshape(out, [_4, int(torch.mul(_5, _6)), _8])
    return input1
