class BasicResBlock(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  conv1 : __torch__.torch.nn.modules.conv.___torch_mangle_6249.Conv2d
  bn1 : __torch__.torch.nn.modules.batchnorm.___torch_mangle_6250.BatchNorm2d
  conv2 : __torch__.torch.nn.modules.conv.___torch_mangle_6251.Conv2d
  bn2 : __torch__.torch.nn.modules.batchnorm.___torch_mangle_6252.BatchNorm2d
  shortcut : __torch__.torch.nn.modules.container.___torch_mangle_6253.Sequential
  def forward(self: __torch__.speakerlab.models.campplus.layers.___torch_mangle_6254.BasicResBlock,
    argument_1: Tensor) -> Tensor:
    shortcut = self.shortcut
    bn2 = self.bn2
    conv2 = self.conv2
    bn1 = self.bn1
    conv1 = self.conv1
    _0 = (bn1).forward((conv1).forward(argument_1, ), )
    input = torch.relu(_0)
    _1 = (bn2).forward((conv2).forward(input, ), )
    _2 = (shortcut).forward()
    input0 = torch.add_(_1, argument_1)
    return torch.relu(input0)
